# CrudOperationBindable::bind

(No version information available, might only be in Git)

CrudOperationBindable::bind — Bind value to placeholder

### Description

abstract public mysql_xdevapi\CrudOperationBindable::bind ( array `$placeholder_values` ) : mysql_xdevapi\CrudOperationBindable

Binds a value to a specific placeholder.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`placeholder_values`

  The name of the placeholders and the values to bind.

### Return Values

A CrudOperationBindable object.

### Examples

Example #1 mysql_xdevapi\CrudOperationBindable::bind() example

`<?php
$res = $coll->modify('name like :name')->arrayInsert('job[0]', 'Calciatore')->bind(['name' => 'ENTITY'])->execute();
$res = $table->delete()->orderby('age desc')->where('age < 20 and age > 12 and name != :name')->bind(['name' => 'Tierney'])->limit(2)->execute();
?>`